/*
 * CalcClient.java
 *
 * Created on 31 de Maro de 2007, 18:37
 */

import java.io.*;
import java.net.*;


public class CalcClient {
        
    public static void main(String args[]){
        
        int num1, num2;
        char oper;
        double resultado;
        
        try{            
            
            //Solicita um socket ao servidor. Deve existir um socket esperando no lado do servidor;
            Socket conexao = new Socket("LocalHost", 5000);            

            //Cria os canais de comunicao com o servidor;
            DataInputStream in = new DataInputStream(conexao.getInputStream());
            DataOutputStream out = new DataOutputStream(conexao.getOutputStream());

            //Cria objeto de leitura do console (teclado);
            BufferedReader teclado = new BufferedReader(new InputStreamReader(System.in));            
            
            //Cria interface com console (teclado) e l dados do console (teclado);
            System.out.println("Sequencia esperada: Num1 (inteiro) + operador (+, -, ., /) + Num2 (inteiro)");
            System.out.print("\nNum1 > " );
            num1 = Integer.parseInt(teclado.readLine());
            System.out.print("Oper > " );
            oper = teclado.readLine().charAt(0);
            System.out.print("Num2 > " );
            num2 = Integer.parseInt(teclado.readLine());            
            
            //Envia dados lidos do console (teclado) para o servidor atravs do canal de sada (out);
            out.writeInt(num1);
            out.writeChar(oper);
            out.writeInt(num2);
            
            //Recebe do servidor o resultado da operao solicita;
            resultado = in.readDouble();            
            System.out.println("----------");
            System.out.println("resultado > " + resultado);

        }catch(IOException e){            
            System.out.println("IOException: " + e);
            System.exit(1);
        }
        
        
    }
    
}
